Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1684605 - QEDE not working as non-privileged user on RHEL8
Summary: QEDE not working as non-privileged user on RHEL8
Keywords:
Status: MODIFIED
Alias: None
Product: Red Hat Enterprise Linux Fast Datapath
Classification: Red Hat
Component: openvswitch2.11
Version: FDP 19.03
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: ---
Assignee: Kevin Traynor
QA Contact: Jean-Tsung Hsiao
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-03-01 15:57 UTC by Kevin Traynor
Modified: 2019-04-12 15:56 UTC (History)
10 users (show)

Fixed In Version: openvswitch2.11-2.11.0-8.el8fdn.src.rpm
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Target Upstream Version:


Attachments (Terms of Use)

Description Kevin Traynor 2019-03-01 15:57:59 UTC
Qede pmd driver does not report the RTE_PCI_DRV_IOVA_AS_VA flag.

This means that access to /proc/self/pagemap is needed, however since Linux 4.x it is not allowed to non-root users without CAP_SYS_ADMIN privileges which openvswitch currently does not have.

TBC, this may be able to fixed by adding the flag to the Qede pmd similar to what is done in http://patchwork.dpdk.org/patch/50274/

Comment 1 Kevin Traynor 2019-03-01 16:09:46 UTC
Rasesh, can you confirm that it is ok for Qede pmd to report this flag? If so, I can send a patch for it.

Comment 3 Rasesh Mody 2019-03-07 01:05:47 UTC
(In reply to Kevin Traynor from comment #1)
> Rasesh, can you confirm that it is ok for Qede pmd to report this flag? If
> so, I can send a patch for it.

Kevin, it is ok for QEDE PMD to report this flag, please send a patch with the change.

Comment 4 Kevin Traynor 2019-03-07 18:47:19 UTC
Checked initialisation on RHEL8 with test openvswitch2.11 rpm and sent patch upstream http://patchwork.dpdk.org/patch/50974/


Note You need to log in before you can comment on or make changes to this bug.